package com.jy.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.system.model.dto.SysConfigDto;
import com.jy.system.model.dto.SysConfigSelectDto;
import com.jy.system.model.vo.SysConfigVo;

import java.util.List;

/**
 * <p>
 * 全局配置 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysConfigService {

    /**
     * 全局配置分页
     */
    Page<SysConfigVo> getPage(SysConfigSelectDto dto);

    /**
     * 全局配置明细
     */
    SysConfigVo getDetail(Long id);

    /**
     * 全局配置新增
     */
    void add(SysConfigDto dto);

    /**
     * 全局配置编辑
     */
    void edit(SysConfigDto dto);

    /**
     * 全局配置删除
     */
    void delete(List<Long> idList);

    /**
     * 刷新全局配置缓存
     */
    void refreshCache();

}
